Connections
Get slackv1connections
cURL
curl --request GET \
--url https://api.atlan.com/slack/v1/connections \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.atlan.com/slack/v1/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/slack/v1/connections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"can_manage": true,
"is_background_ready": true,
"is_configured": true,
"organization": {
"needs_reauth": true,
"owner": "organization",
"scopes": [
"<string>"
],
"team_id": "<string>",
"team_name": "<string>",
"identity_verified_at": 1,
"team_url": "<string>",
"user_id": "<string>",
"user_name": "<string>"
},
"personal": {
"needs_reauth": true,
"owner": "organization",
"scopes": [
"<string>"
],
"team_id": "<string>",
"team_name": "<string>",
"identity_verified_at": 1,
"team_url": "<string>",
"user_id": "<string>",
"user_name": "<string>"
}
}{
"code": "invalid_request",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I
cURL
curl --request GET \
--url https://api.atlan.com/slack/v1/connections \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.atlan.com/slack/v1/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/slack/v1/connections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"can_manage": true,
"is_background_ready": true,
"is_configured": true,
"organization": {
"needs_reauth": true,
"owner": "organization",
"scopes": [
"<string>"
],
"team_id": "<string>",
"team_name": "<string>",
"identity_verified_at": 1,
"team_url": "<string>",
"user_id": "<string>",
"user_name": "<string>"
},
"personal": {
"needs_reauth": true,
"owner": "organization",
"scopes": [
"<string>"
],
"team_id": "<string>",
"team_name": "<string>",
"identity_verified_at": 1,
"team_url": "<string>",
"user_id": "<string>",
"user_name": "<string>"
}
}{
"code": "invalid_request",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}